<?php
// $Id$
/**
* function to create Open Media Show content type
*/
function _om_show_install_create_om_show_content_type() {

  $result = _om_show_install_import_content_type("\$content['type']  = array (
  'name' => 'Show',
  'type' => 'om_show',
  'description' => '<b>Open Media System</b> - This content type where a Show\'s metadata is stored.  The core content type can be customize to be a digital version of the paper forms producers complete when submitting video.  Adding om_show_path or om_filefield will allow users to attach video to the Show node.',
  'title_label' => 'Title',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'help' => '',
  'node_options' => 
  array (
    'status' => true,
    'promote' => false,
    'sticky' => false,
    'revision' => false,
  ),
  'creativecommons' => 1,
  'old_type' => 'om_show',
  'orig_type' => '',
  'module' => 'node',
  'custom' => '1',
  'modified' => '1',
  'locked' => '0',
  'comment' => '2',
  'comment_default_mode' => '4',
  'comment_default_order' => '1',
  'comment_default_per_page' => '50',
  'comment_controls' => '3',
  'comment_anonymous' => 0,
  'comment_subject_field' => '1',
  'comment_preview' => '1',
  'comment_form_location' => '0',
);
\$content['groups']  = array (
  0 => 
  array (
    'label' => 'Basic Info',
    'group_type' => 'standard',
    'settings' => 
    array (
      'form' => 
      array (
        'style' => 'tabs',
        'description' => '',
      ),
      'display' => 
      array (
        'description' => '',
        'teaser' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        4 => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '0',
    'group_name' => 'group_om_show_basic_info',
  ),
  1 => 
  array (
    'label' => 'Metadata',
    'group_type' => 'standard',
    'settings' => 
    array (
      'form' => 
      array (
        'style' => 'tabs',
        'description' => '',
      ),
      'display' => 
      array (
        'description' => '',
        'teaser' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        4 => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'hidden',
      ),
    ),
    'weight' => '1',
    'group_name' => 'group_metadata',
  ),
  2 => 
  array (
    'label' => 'Location',
    'group_type' => 'standard',
    'settings' => 
    array (
      'form' => 
      array (
        'style' => 'tabs',
        'description' => '',
      ),
      'display' => 
      array (
        'description' => '',
        'teaser' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        4 => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '2',
    'group_name' => 'group_om_show_location',
  ),
  3 => 
  array (
    'label' => 'Creative Commons',
    'group_type' => 'standard',
    'settings' => 
    array (
      'form' => 
      array (
        'style' => 'tabs',
        'description' => '',
      ),
      'display' => 
      array (
        'description' => '',
        'teaser' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'full' => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        4 => 
        array (
          'format' => 'fieldset',
          'exclude' => 0,
        ),
        'label' => 'above',
      ),
    ),
    'weight' => '3',
    'group_name' => 'group_om_show_creative_commons',
  ),
);
\$content['fields']  = array (
  0 => 
  array (
    'label' => 'Season',
    'field_name' => 'field_om_show_season',
    'type' => 'text',
    'widget_type' => 'text_textfield',
    'change' => 'Change basic information',
    'weight' => '-4',
    'locked' => '1',
    'rows' => 5,
    'size' => '10',
    'description' => '',
    'default_value' => 
    array (
    ),
    'default_value_php' => '',
    'default_value_widget' => NULL,
    'group' => 'group_om_show_basic_info',
    'required' => 0,
    'multiple' => '0',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'op' => 'Save field settings',
    'module' => 'text',
    'widget_module' => 'text',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'text',
        'size' => 'big',
        'not null' => false,
        'sortable' => true,
        'views' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '-4',
      'parent' => 'group_om_show_basic_info',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      5 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      2 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      3 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
  ),
  1 => 
  array (
    'label' => 'Episode Number',
    'field_name' => 'field_om_show_episode_number',
    'type' => 'number_integer',
    'widget_type' => 'number',
    'change' => 'Change basic information',
    'weight' => '-3',
    'locked' => '1',
    'description' => '',
    'default_value' => 
    array (
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_show_episode_number' => 
      array (
        0 => 
        array (
          'value' => '',
          '_error_element' => 'default_value_widget][field_om_show_episode_number][0][value',
        ),
      ),
    ),
    'group' => 'group_om_show_basic_info',
    'required' => 0,
    'multiple' => '0',
    'min' => '',
    'max' => '',
    'prefix' => '',
    'suffix' => '',
    'allowed_values' => '',
    'allowed_values_php' => '',
    'op' => 'Save field settings',
    'module' => 'number',
    'widget_module' => 'number',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'int',
        'not null' => false,
        'sortable' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '-3',
      'parent' => 'group_om_show_basic_info',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
      ),
    ),
  ),
  2 => 
  array (
    'label' => 'Theme',
    'field_name' => 'field_om_theme',
    'type' => 'nodereference',
    'widget_type' => 'nodereference_select',
    'change' => 'Change basic information',
    'weight' => '18',
    'locked' => '1',
    'autocomplete_match' => 'contains',
    'size' => 60,
    'description' => '',
    'default_value' => 
    array (
      0 => 
      array (
        'nid' => '',
      ),
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_theme' => 
      array (
        0 => 
        array (
          'nid' => '',
        ),
        'nid' => 
        array (
          'nid' => '',
        ),
      ),
    ),
    'group' => 'group_metadata',
    'required' => 0,
    'multiple' => '0',
    'referenceable_types' => 
    array (
      'om_timeslot_theme' => 'om_timeslot_theme',
      'om_airing' => 0,
      'album' => 0,
      'annual_report_page' => 0,
      'article' => 0,
      'merci_audio_kit' => 0,
      'merci_audio_mixer' => 0,
      'bavc_blog' => 0,
      'om_feed' => 0,
      'class_meeting' => 0,
      'course' => 0,
      'curriculum' => 0,
      'merci_edit_suite' => 0,
      'embedded_show' => 0,
      'event' => 0,
      'merci_facility' => 0,
      'merci_field_gear_accessory' => 0,
      'forum' => 0,
      'front_page_image' => 0,
      'merci_light_kit' => 0,
      'merci_inventory_master' => 0,
      'membership' => 0,
      'om_handbook' => 0,
      'page' => 0,
      'person' => 0,
      'om_timeslot_server' => 0,
      'product' => 0,
      'basic_profile' => 0,
      'om_project' => 0,
      'om_project_blog' => 0,
      'om_project_event' => 0,
      'om_project_type' => 0,
      'merci_reservation' => 0,
      'resource_link' => 0,
      'section' => 0,
      'om_show' => 0,
      'song' => 0,
      'merci_sony_pd150' => 0,
      'merci_sony_pd170' => 0,
      'merci_staff_facility' => 0,
      'merci_studio' => 0,
      'success_story' => 0,
      'om_timeslot_event' => 0,
      'om_timeslot_rule' => 0,
      'merci_tripod' => 0,
      'unit' => 0,
      'webform' => 0,
      'whats_hot' => 0,
      'merci_computer_lab_seat' => false,
      'merci_mobile_studio_kit' => false,
      'feed' => false,
      'press_release' => false,
      'merci_edit_stations' => false,
      'merci_shure_mixer' => false,
      'blog' => false,
      'merci_minidv_camcorder_staff' => false,
      'merci_minidv_camcorder' => false,
      'civicrmactivity' => false,
      'om_crew_request' => false,
      'merci_external_hard_drive' => false,
      'merci_facilities_main_studio' => false,
      'merci_facilities' => false,
      'merci_facilities_small_studio' => false,
      'merci_hard_drive_recorder' => false,
      'image' => false,
      'merci_misc_microphone' => false,
      'merci_omni_microphone' => false,
      'merci_shotgun_microphone' => false,
      'merci_uni_microphone' => false,
      'merci_wireless_hand_mic' => false,
      'merci_wireless_lav_mic' => false,
      'news_item' => false,
      'om_project_wiki' => false,
      'merci_reservation_template' => false,
      'story' => false,
      'merci_wide_angle_lens' => false,
      'merci_dv_camera' => false,
    ),
    'advanced_view' => '--',
    'advanced_view_args' => '',
    'op' => 'Save field settings',
    'module' => 'nodereference',
    'widget_module' => 'nodereference',
    'columns' => 
    array (
      'nid' => 
      array (
        'type' => 'int',
        'unsigned' => true,
        'not null' => false,
        'index' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '18',
      'parent' => 'group_metadata',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 1,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      5 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      2 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      3 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
  ),
  3 => 
  array (
    'label' => 'Genre',
    'field_name' => 'field_om_genre',
    'type' => 'text',
    'widget_type' => 'optionwidgets_select',
    'change' => 'Change basic information',
    'weight' => '19',
    'locked' => '1',
    'description' => '',
    'default_value' => 
    array (
      0 => 
      array (
        'value' => '',
      ),
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_genre' => 
      array (
        'value' => '',
      ),
    ),
    'group' => 'group_metadata',
    'required' => 0,
    'multiple' => '0',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => '',
    'allowed_values_php' => 'if(module_exists(\'pbcore\')){
  return pbcore_get_genres(\'select\');
}',
    'op' => 'Save field settings',
    'module' => 'text',
    'widget_module' => 'optionwidgets',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'text',
        'size' => 'big',
        'not null' => false,
        'sortable' => true,
        'views' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '19',
      'parent' => 'group_metadata',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 1,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      5 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      2 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      3 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
  ),
  4 => 
  array (
    'label' => 'Language',
    'field_name' => 'field_om_language',
    'type' => 'text',
    'widget_type' => 'optionwidgets_select',
    'change' => 'Change basic information',
    'weight' => '20',
    'locked' => '1',
    'description' => '',
    'default_value' => 
    array (
      0 => 
      array (
        'value' => '',
      ),
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_language' => 
      array (
        'value' => '',
      ),
    ),
    'group' => 'group_metadata',
    'required' => 1,
    'multiple' => '0',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => 'eng|English',
    'allowed_values_php' => 'if(module_exists(\'pbcore\')){
  return pbcore_get_languages(\'select\');
}',
    'op' => 'Save field settings',
    'module' => 'text',
    'widget_module' => 'optionwidgets',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'text',
        'size' => 'big',
        'not null' => false,
        'sortable' => true,
        'views' => true,
      ),
    ),
    'display_settings' => 
    array (
      'label' => 
      array (
        'format' => 'hidden',
      ),
      'teaser' => 
      array (
        'format' => 'hidden',
      ),
      'full' => 
      array (
        'format' => 'hidden',
      ),
      4 => 
      array (
        'format' => 'default',
      ),
    ),
  ),
  5 => 
  array (
    'label' => 'Rating',
    'field_name' => 'field_om_rating',
    'type' => 'text',
    'widget_type' => 'optionwidgets_select',
    'change' => 'Change basic information',
    'weight' => '21',
    'locked' => '1',
    'description' => '',
    'default_value' => 
    array (
      0 => 
      array (
        'value' => '',
      ),
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_rating' => 
      array (
        'value' => '',
      ),
    ),
    'group' => 'group_metadata',
    'required' => 0,
    'multiple' => '0',
    'text_processing' => '0',
    'max_length' => '',
    'allowed_values' => 'TV-Y|Young children - G/TV-Y
TV-G|General audiences - PG/TV-G
TV-14|Parental guidance suggested - PG13/TV-14
TV-MA|Mature audiences - R/TV-MA
',
    'allowed_values_php' => 'if(module_exists(\'pbcore\')){
  return pbcore_get_ratings(\'select\');
}',
    'op' => 'Save field settings',
    'module' => 'text',
    'widget_module' => 'optionwidgets',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'text',
        'size' => 'big',
        'not null' => false,
        'sortable' => true,
        'views' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '20',
      'parent' => 'group_metadata',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 1,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      5 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      2 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      3 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
  ),
  6 => 
  array (
    'label' => 'Locally Produced',
    'field_name' => 'field_om_locally_produced',
    'type' => 'number_integer',
    'widget_type' => 'optionwidgets_onoff',
    'change' => 'Change basic information',
    'weight' => '22',
    'locked' => '1',
    'description' => '',
    'default_value' => 
    array (
    ),
    'default_value_php' => '',
    'default_value_widget' => 
    array (
      'field_om_locally_produced' => 
      array (
        'value' => false,
      ),
    ),
    'group' => 'group_metadata',
    'required' => 0,
    'multiple' => '0',
    'min' => '',
    'max' => '',
    'prefix' => '',
    'suffix' => '',
    'allowed_values' => '0|
1|Locally Produced',
    'allowed_values_php' => '',
    'op' => 'Save field settings',
    'module' => 'number',
    'widget_module' => 'optionwidgets',
    'columns' => 
    array (
      'value' => 
      array (
        'type' => 'int',
        'not null' => false,
        'sortable' => true,
      ),
    ),
    'display_settings' => 
    array (
      'weight' => '5',
      'parent' => 'group_metadata',
      'label' => 
      array (
        'format' => 'above',
      ),
      'teaser' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'full' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      4 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      2 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      3 => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
      'token' => 
      array (
        'format' => 'default',
        'exclude' => 0,
      ),
    ),
  ),
);
\$content['extra']  = array (
  'title' => '-3',
  'body_field' => '-1',
  'revision_information' => '9',
  'comment_settings' => '12',
  'menu' => '8',
);");

  return;
} // function _om_show_install_create_om_show_content_type 

